=== sjbin/Makefile ===
include ../sdk.mk

# GNU coding standards
prefix ?= /usr/local
exec_prefix ?= $(prefix)
sbindir ?= $(exec_prefix)/sbin
sysconfdir = $(prefix)/etc
srcdir ?= src

EXECUTABLES=$(patsubst %.java,$(BUILD_BASE)/$(sbindir)/freed-%,$(notdir $(wildcard $(srcdir)/*.java)))

BUILD_BASE ?= $(SDK_BUILD_BASE)/$(shell basename $(SDK_SRC_BASE))

all: outputdir $(EXECUTABLES)
#	echo $(patsubst %.java,freed-%,$(notdir $(wildcard $(srcdir)/*.java)))

$(BUILD_BASE)/$(sbindir)/freed-%: $(srcdir)/%.java
	cp $< $@
	sed -i '1!b;s|//#!|#!|' $@
	chmod a+x $@

clean:
	$(RM) $(EXECUTABLES)

outputdir:
	mkdir -p $(BUILD_BASE)/$(sbindir)

install:
# TODO generalise
	install -D -m755 -t $(DESTDIR)$(sbindir)freed-*
	sed -i 's|/usr/local|$(prefix)|' $(DESTDIR)$(sbindir)/*
	sed -i 's|/usr/local|$(prefix)|' $(DESTDIR)$(sysconfdir)/freed/pid1/jvm.args
#	cp -v ../../etc/freed/init/* $(DESTDIR)$(sysconfdir)/freed/init
