=== debian/changelog ===
argeo-freed (2.3.9) unstable; urgency=medium

  * Adapt to changes in platform

 -- Mathieu Baudier <mbaudier@argeo.org>  Thu, 06 Nov 2025 18:49:42 +0000
