=== debian/control ===
Source: argeo-freed
Section: admin
Priority: optional
Maintainer: Mathieu Baudier <mbaudier@argeo.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Rules-Requires-Root: no

Package: argeo-freed-cms
Architecture: all
Depends: ${misc:Depends}, adduser, argeo-cms
Conflicts: argeo-init
Description: FREEd Argeo CMS services
 Argeo CMS services

Package: argeo-freed-sysj
Architecture: all
Depends: ${misc:Depends}, argeo-freed-cms
Description: FREEd system init
 Argeo system init

Package: argeo-freed-libreswan
Architecture: all
Depends: ${misc:Depends}, libreswan
Description: FREEd extensions to libreswan
 Extensions to libreswan

Package: argeo-freed-roaming-client
Architecture: all
Depends: ${misc:Depends}, argeo-freed-libreswan
Description: FREEd roaming client
 Roaming client
