=== debian/rules ===
#!/usr/bin/make -f

%:
	prefix=/usr sysconfdir=/etc datarootdir=/usr/share dh $@

override_dh_auto_clean:
# cannot clean before configuring

#override_dh_auto_configure:
#	# TODO analyse why configure is failing
	
override_dh_missing:
	# Ignore missing files
